@charset "UTF-8";

.member-chat {
    padding: 0;
}

/****對話對象資訊****/
.member-chat__info {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: center;
    width: 100%;
    padding: 30px 35px;
}

.member-chat__info__pic {
    display: block;
    width: 90px;
    height: 90px;
    border-radius: 50%;
    margin: 0 20px 0 0;    background: url(../images/avatar/avatar_default.png) center no-repeat;
    background-size: cover;
    overflow: hidden;
    flex: 0 0 auto;
}

.member-chat__info__content {
    display: block;
    width: 100%;
    flex: 0 1 auto;
}

.member-chat__info__content__text {
    display: block;
    width: 100%;
    font-size: 20px;
    line-height: 1.2;
    color: #44464e;
}

.member-chat__info__tool {
    display: block;
    width: auto;
    margin: 0 0 0 20px;
    flex: 0 0 auto;
}

.member-chat__info__tool__back {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-end;
    justify-content: flex-end;
    width: 100%;
    font-size: 16px;
    line-height: 1.2;
    color: #44464e;
    padding: 5px 0;
    transition: opacity .4s ease-in-out;
}

.member-chat__info__tool__back::before {
    content: '';
    position: relative;
    display: block;
    width: 6px;
    height: 12px;
    margin: 0 10px 0 0;
    background: url(../images/common/icon_arrow_next_gray.svg) center no-repeat;
    background-size: contain;
    transform: scaleX(-1);
}

.member-chat__info__tool__back:hover {
    opacity: .7;
}

/****商品資訊****/
.member-chat__product {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    padding: 30px 35px;
}

.member-chat__product::before {
    content: '';
    position: absolute;
    top: -1px;
    left: 35px;
    display: block;
    width: calc(100% - 70px);
    height: 2px;
    background: linear-gradient(to right, rgba(0, 0, 0, .3) 33%, rgba(0, 0, 0, 0) 0%) left bottom repeat-x;
    background-size: 6px 2px;
}

.member-chat__product__pic {
    display: block;
    width: 200px;
    margin: 0 30px 0 0;
    border-radius: 5px;
    overflow: hidden;
}

.member-chat__product__content {
    display: block;
    width: 100%;
    flex: 0 1 auto;
}

.member-chat__product__content__sub {
    display: block;
    width: 100%;
    font-size: 15px;
    line-height: 1.2;
    color: #44464e;
    margin: 0 0 10px 0;
}

.member-chat__product__content__sub__title {
    font-family: 'NotoSansTC-B';
}

.member-chat__product__content__main {
    display: block;
    width: 100%;
    font-size: 18px;
    line-height: 1.5;
    color: #44464e;
    font-family: 'NotoSansTC-B';
}

/****對話內容****/
.member-chat__content {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: center;
    justify-content: center;
    width: calc(100% - 70px);
    padding: 30px 0;
    margin: 0 auto;
    font-size: 17px;
    line-height: 1.5;
    border-top: 2px solid rgba(91, 93, 101, .1);
}

.member-chat__content__time {
    display: block;
    width: 100%;
    font-size: 15px;
    line-height: 1.2;
    color: #44464e;
    text-align: center;
    margin: 30px auto;
}

.member-chat__content hr {
    display: block;
    width: 100%;
    height: 0;
    border: none;
    opacity: 0;
}

.member-chat__content__time:first-child {
    margin: 0 auto 30px auto;
}

.member-chat__content__other,
.member-chat__content__self {
    display: block;
    width: auto;
    max-width: 75%;
    padding: 12px 20px;
    border-radius: 5px;
    text-align: left;
    overflow: hidden;
    flex: 0 0 auto;
}

.member-chat__content__other {
    color: #44464e;
    margin: 0 auto 30px 0;
    background: #eaebf1;
}

.member-chat__content__other:last-child {
    margin: 0 auto 0 0;
}

.member-chat__content__self {
    color: #fff;
    margin: 0 0 30px auto;
    background: #44bec7;
}

.member-chat__content__self:last-child {
    margin: 0 0 0 auto;
}

/****對話輸入框****/
.member-chat__edit {
    display: flex;
    align-items: flex-end;
    align-content: flex-end;
    justify-items: center;
    justify-content: center;
    width: 100%;
    padding: 25px 35px 30px 35px;
    border-top: 2px solid rgba(91, 93, 101, .1);
}

.member-chat__edit__textarea {
    height: 130px;
    min-height: 0;
    line-height: 1.5;
    background: none;
    padding: 0 10px 0 0;
    border-radius: 0;
    flex: 0 1 auto;
}

.member-chat__edit__textarea::-webkit-scrollbar {
    width: 4px;
}

.member-chat__edit__textarea::-webkit-scrollbar-thumb {
    background: #00c8c8;
}

.member-chat__edit__sunmit {
    display: block;
    width: 35px;
    height: 30px;
    padding: 0 0 0 10px;
    background: url(../images/common/icon_send_green.svg) bottom right no-repeat;
    background-size: 25px auto;
    overflow: hidden;
    flex: 0 0 auto;
    filter: grayscale(1);
    opacity: .5;
    pointer-events: none;
    transition: opacity .4s ease-in-out;
}

.member-chat__edit__sunmit.active {
    filter: none;
    opacity: 1;
    pointer-events: all;
    cursor: pointer;
}

.member-chat__edit__sunmit:hover {
    opacity: .7;
}

.member-chat__edit__sunmit input[type="submit"] {
    width: 100%;
    padding: 0;
    background: none;
    opacity: 0;
    cursor: pointer;
}

@media screen and (max-width: 1300px) {
    .member-chat {
        padding: 0 35px;
        box-shadow: 0 0 10px rgba(44, 48, 67, .15);
    }

    /****對話對象資訊****/
    .member-chat__info {
        padding: 30px 0;
    }

    /****商品資訊****/
    .member-chat__product {
        padding: 40px 0;
    }
    .member-chat__product::before {
        left: 0;
        width: 100%;
    }
    /****對話內容****/
    .member-chat__content {
        width: 100%;
    }

    /****對話輸入框****/
    .member-chat__edit {
        padding: 25px 0 30px 0;
    }
}

@media screen and (max-width: 991px) {}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 575px) {
    .member-chat {
        padding: 0 20px;
    }

    /****對話對象資訊****/
    .member-chat__info {
        padding: 20px 0;
    }

    .member-chat__info__pic {
        width: 60px;
        height: 60px;
        margin: 0 10px 0 0;
    }

    .member-chat__info__content__text {
        font-size: 15px;
    }

    .member-chat__info__tool {
        margin: 0 0 0 10px;
    }

    .member-chat__info__tool__back {
        font-size: 13px;
    }

    .member-chat__info__tool__back::before {
        margin: 0 5px 0 0;
    }

    /****商品資訊****/
    .member-chat__product {
        display: block;
        padding: 20px 0;
    }

    .member-chat__product__pic {
        width: 100%;
        padding: 50% 0 0 0;
        margin: 0;
    }

    .member-chat__product__pic img {
        position: absolute;
        top: 0;
        left: 0;
        object-fit: cover;
        object-position: center;
        width: 100%;
        height: 100%;
    }

    .member-chat__product__content {
        margin: 10px 0 0 0;
    }

    .member-chat__product__content__sub {
        margin: 0 0 5px 0;
    }

    .member-chat__product__content__main {
        font-size: 16px;
    }

    /****對話內容****/
    .member-chat__content {
        font-size: 15px;
        padding: 20px 0;
    }

    .member-chat__content__time {
        margin: 20px auto;
    }

    .member-chat__content__time:first-child {
        margin: 0 auto 20px auto;
    }

    .member-chat__content__other,
    .member-chat__content__self {
        padding: 15px;
    }

    .member-chat__content__other {
        margin: 0 auto 10px 0;
    }

    .member-chat__content__self {
        margin: 0 0 10px auto;
    }


    /****對話輸入框****/
    .member-chat__edit {
        padding: 20px 0;
    }

    .member-chat__edit__textarea {
        height: 80px;
    }

    .member-chat__edit__sunmit {
        width: 20px;
        margin: 0 0 0 5px;
        background-size: 15px auto;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}